Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Nothing to merge for "platform:/plugin/org.eclipse.e4.tools.emf.ui/fragment.e4xmi"???
icon9.gif  Nothing to merge for "platform:/plugin/org.eclipse.e4.tools.emf.ui/fragment.e4xmi"??? [message #1413024] Wed, 27 August 2014 15:33
Yongshin Kim is currently offline Yongshin KimFriend
Messages: 14
Registered: August 2014
Junior Member
I have recently installed- for my Ubuntu system- Eclipse Luna that comes with e(FX)clipse All-in-One Package.
After installing it keeps giving me two same errors everytime I start eclipse saying:
Nothing to merge for "platform:/plugin/org.eclipse.e4.tools.emf.ui/fragment.e4xmi"


So I checked fragment.e4xmi file in the related jar file and I think these two lines of the xmi file are the cause of the error:
    <fragments ... featurename="commands" parentElementId="org.eclipse.e4.ide.application">
    <fragments ... featurename="hadlers" parentElementId="org.eclipse.e4.ide.application"> 


The fragments with 'parentElementId="org.eclipse.e4.legacy.ide.application"' code seems to have no problem so I think org.eclipse.e4.ide.application module(?) is missing or whatever.

I included the full e4xmi file for the reference:

Thank you


-------------------------------------------------------------------
Seid umschlungen Millionen! Diesen Kuß der ganzen Welt! -from Symphony #9, Beethoven-
Previous Topic:Remove CVS plugin from bundles?
Next Topic:Menu shows only with -clearPersistedState
Goto Forum:
  


Current Time: Wed Jan 20 19:45:37 GMT 2021

Powered by FUDForum. Page generated in 0.01938 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top